Bug 8440 - [UPDATE REQUEST 2016.1] wget 1.19.2
: [UPDATE REQUEST 2016.1] wget 1.19.2
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-30 23:31 MSK by Алзим
Modified: 2017-11-13 18:24 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Алзим 2017-10-30 23:31:48 MSK
Сформирован корректирующий релиз GNU Wget 1.19.2, программы для автоматизации загрузки контента с использованием протоколов HTTP и FTP. В новой версии устранены две опасные уязвимости (CVE-2017-13089, CVE-2017-13090), которые могут привести к выполнению кода при обращении к ресурсам, подконтрольным злоумышленнику, из-за переполнения стека в обработчике chunked-ответов. Кроме исправления уязвимостей в новой версии также реализована поддержка Content-Encoding 'gzip'.
Comment 2 Vladimir Potapov 2017-11-09 20:20:30 MSK
The update is sent to expanded testing
***************************************
Comment 3 Vladimir Potapov 2017-11-13 18:05:29 MSK
wget-1.19.2-1
https://abf.rosalinux.ru/build_lists/2906992
https://abf.rosalinux.ru/build_lists/2906993
****************************** Advisory **************************
Updated to 1.19.2, fix CVE-2017-13089, CVE-2017-13090
******************************************************************
QA Verified